Gmagick::readimagefile
Gmagick::removeimage
Gmagick
PHP Manual

# Gmagick::reducenoiseimage

(PECL gmagick >= Unknown)

Gmagick::reducenoiseimage — Smooths the contours of an image

### Description

public void Gmagick::reducenoiseimage ( float `$radius` )

Smooths the contours of an image while still preserving edge information. The algorithm works by replacing each pixel with its neighbor closest in value. A neighbor is defined by radius. Use a radius of 0 and Gmagick::reduceNoiseImage() selects a suitable radius for you.

### Parameters

`radius`

  The radius of the pixel neighborhood.

### Return Values

The Gmagick object on success

### Errors/Exceptions

Throws an GmagickException on error.

Gmagick::readimagefile
Gmagick::removeimage
Gmagick
PHP Manual